import os
from playwright.sync_api import Playwright, sync_playwright
from playwright.sync_api import Page, expect
from tools.get_log import GetLog

logger = GetLog.get_log()
def test_run(page: Page) -> None:
    """
    名称：查看个人中心
    步骤：
    1、点击登录的账号进入个人中心
    2、点击全部收藏
    3、点击我的书评
    4、点击我的反馈
    5、点击账号设置
    6、
    检查点：
    * 我的昵称是18211111111
    """
    casename = os.path.splitext(os.path.basename(__file__))[0]
    logger.info("正在执行用例:{}".format(casename))

    page.get_by_role("link", name="18211111111").click()
    page.get_by_role("link", name="全部收藏 >").click()
    page.get_by_role("link", name="我的书评").click()
    page.get_by_role("link", name="我的反馈").click()
    page.get_by_role("link", name="账号设置").click()

    my_name = page.get_by_role("link", name="18211111111[修改]")
    print(my_name)
    try:
        assert my_name is not None
        logger.info("用例{}的断言结果为{}".format(casename,my_name is not None))
    except Exception as e:
        logger.error("用例{}的断言结果为{},错误信息是：{}".format(casename, my_name is not None, e))
        raise

    # Close page
#     page.close()
#
#     # ---------------------
#     context.close()
#     browser.close()
#
#
# with sync_playwright() as playwright:
#     run(playwright)
