import os
from playwright.sync_api import Playwright, sync_playwright
from playwright.sync_api import Page, expect
from tools.get_log import GetLog

logger = GetLog.get_log()
def test_run(page: Page) -> None:
    """
    名称：查看各个排行榜
    步骤：
    1、点击排行榜
    2、点击新书榜
    3、点击更新榜
    4、点击评论榜
    检查点：
    * 存在评论榜元素
    """
    casename = os.path.splitext(os.path.basename(__file__))[0]
    logger.info("正在执行用例:{}".format(casename))

    page.get_by_role("link", name="排行榜").click()
    page.get_by_role("link", name="新书榜").click()
    page.get_by_role("link", name="更新榜").click()
    page.get_by_role("link", name="评论榜").click()

    pinglun_bang = page.get_by_role("heading", name="评论榜")
    print(pinglun_bang)
    try:
        assert pinglun_bang is not None
        logger.info("用例{}的断言结果为{}".format(casename,pinglun_bang is not None))
    except Exception as e:
        logger.error("用例{}的断言结果为{},错误信息是：{}".format(casename, pinglun_bang is not None, e))
        raise

    # Close page
    #page.close()

    # ---------------------
    #context.close()
    #browser.close()


# with sync_playwright() as playwright:
#     run(playwright)
